!
! Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
! See https://llvm.org/LICENSE.txt for license information.
! SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception

! maxloc in initialization with repeated elements.

program p
integer :: rslt = 1
integer, parameter, dimension(1) :: mx = maxloc((/6, 3, 6, 2/))
call check(mx, rslt, 1)
end
